## UIM Unblock PIN request UIM Unblock PIN request |

## Functions

QmiMessageUimUnblockPinInput * | qmi_message_uim_unblock_pin_input_new ()
QmiMessageUimUnblockPinInput * | qmi_message_uim_unblock_pin_input_ref ()
void | qmi_message_uim_unblock_pin_input_unref ()
gboolean | qmi_message_uim_unblock_pin_input_get_response_in_indication_token ()
gboolean | qmi_message_uim_unblock_pin_input_set_response_in_indication_token ()
gboolean | qmi_message_uim_unblock_pin_input_get_info ()
gboolean | qmi_message_uim_unblock_pin_input_set_info ()
gboolean | qmi_message_uim_unblock_pin_input_get_session ()
gboolean | qmi_message_uim_unblock_pin_input_set_session ()
QmiMessageUimUnblockPinOutput * | qmi_message_uim_unblock_pin_output_ref ()
void | qmi_message_uim_unblock_pin_output_unref ()
gboolean | qmi_message_uim_unblock_pin_output_get_card_result ()
gboolean | qmi_message_uim_unblock_pin_output_get_result ()
gboolean | qmi_message_uim_unblock_pin_output_get_retries_remaining ()
gboolean | qmi_message_uim_unblock_pin_output_get_response_in_indication_token ()
void | qmi_client_uim_unblock_pin ()
QmiMessageUimUnblockPinOutput * | qmi_client_uim_unblock_pin_finish ()

## Types and Values

| QmiMessageUimUnblockPinInput
| QmiMessageUimUnblockPinOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageUimUnblockPinInput
        ╰── QmiMessageUimUnblockPinOutput

## Description

## Functions

### qmi_message_uim_unblock_pin_input_new ()

    QmiMessageUimUnblockPinInput *
    qmi_message_uim_unblock_pin_input_new (void);

Allocates a new QmiMessageUimUnblockPinInput.

#### Returns

the newly created QmiMessageUimUnblockPinInput. The returned value should be freed with `qmi_message_uim_unblock_pin_input_unref()`.

Since: 1.14

### qmi_message_uim_unblock_pin_input_ref ()

    QmiMessageUimUnblockPinInput *
    qmi_message_uim_unblock_pin_input_ref (QmiMessageUimUnblockPinInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageUimUnblockPinInput. |

#### Returns

the new reference to `self` .

Since: 1.14

### qmi_message_uim_unblock_pin_input_unref ()

    void
    qmi_message_uim_unblock_pin_input_unref
                                   (QmiMessageUimUnblockPinInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageUimUnblockPinInput. |

Since: 1.14

### qmi_message_uim_unblock_pin_input_get_response_in_indication_token ()

    gboolean
    qmi_message_uim_unblock_pin_input_get_response_in_indication_token
                                   (QmiMessageUimUnblockPinInput *self,
                                    guint32 *value_response_in_indication_token,
                                    GError **error);

Get the 'Response In Indication Token' field from `self` .

#### Parameters

self | a QmiMessageUimUnblockPinInput. |
value_response_in_indication_token | a placeholder for the output guint32, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.14

### qmi_message_uim_unblock_pin_input_set_response_in_indication_token ()

    gboolean
    qmi_message_uim_unblock_pin_input_set_response_in_indication_token
                                   (QmiMessageUimUnblockPinInput *self,
                                    guint32 value_response_in_indication_token,
                                    GError **error);

Set the 'Response In Indication Token' field in the message.

#### Parameters

self | a QmiMessageUimUnblockPinInput. |
value_response_in_indication_token | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.14

### qmi_message_uim_unblock_pin_input_get_info ()

    gboolean
    qmi_message_uim_unblock_pin_input_get_info
                                   (QmiMessageUimUnblockPinInput *self,
                                    QmiUimPinId *value_info_pin_id,
                                    const gchar **value_info_puk,
                                    const gchar **value_info_new_pin,
                                    GError **error);

Get the 'Info' field from `self` .

#### Parameters

self | a QmiMessageUimUnblockPinInput. |
value_info_pin_id | a placeholder for the output QmiUimPinId, or `NULL` if not required. | [out][optional]
value_info_puk | a placeholder for the output constant string, or `NULL` if not required. | [out][optional][transfer none]
value_info_new_pin | a placeholder for the output constant string, or `NULL` if not required. | [out][optional][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.14

### qmi_message_uim_unblock_pin_input_set_info ()

    gboolean
    qmi_message_uim_unblock_pin_input_set_info
                                   (QmiMessageUimUnblockPinInput *self,
                                    QmiUimPinId value_info_pin_id,
                                    const gchar *value_info_puk,
                                    const gchar *value_info_new_pin,
                                    GError **error);

Set the 'Info' field in the message.

#### Parameters

self | a QmiMessageUimUnblockPinInput. |
value_info_pin_id | a QmiUimPinId. |
value_info_puk | a constant string. |
value_info_new_pin | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.14

### qmi_message_uim_unblock_pin_input_get_session ()

    gboolean
    qmi_message_uim_unblock_pin_input_get_session
                                   (QmiMessageUimUnblockPinInput *self,
                                    QmiUimSessionType *value_session_session_type,
                                    GArray **value_session_application_identifier,
                                    GError **error);

Get the 'Session' field from `self` .

#### Parameters

self | a QmiMessageUimUnblockPinInput. |
value_session_session_type | a placeholder for the output QmiUimSessionType, or `NULL` if not required. | [out][optional]
value_session_application_identifier | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type guint8][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_uim_unblock_pin_input_set_session ()

    gboolean
    qmi_message_uim_unblock_pin_input_set_session
                                   (QmiMessageUimUnblockPinInput *self,
                                    QmiUimSessionType value_session_session_type,
                                    GArray *value_session_application_identifier,
                                    GError **error);

Set the 'Session' field in the message.

#### Parameters

self | a QmiMessageUimUnblockPinInput. |
value_session_session_type | a QmiUimSessionType. |
value_session_application_identifier | a GArray of guint8 elements. A new reference to `value_session_application_identifier` will be taken. | [in][element-type guint8]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_uim_unblock_pin_output_ref ()

    QmiMessageUimUnblockPinOutput *
    qmi_message_uim_unblock_pin_output_ref
                                   (QmiMessageUimUnblockPinOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageUimUnblockPinOutput. |

#### Returns

the new reference to `self` .

Since: 1.14

### qmi_message_uim_unblock_pin_output_unref ()

    void
    qmi_message_uim_unblock_pin_output_unref
                                   (QmiMessageUimUnblockPinOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageUimUnblockPinOutput. |

Since: 1.14

### qmi_message_uim_unblock_pin_output_get_card_result ()

    gboolean
    qmi_message_uim_unblock_pin_output_get_card_result
                                   (QmiMessageUimUnblockPinOutput *self,
                                    guint8 *value_card_result_sw1,
                                    guint8 *value_card_result_sw2,
                                    GError **error);

Get the 'Card Result' field from `self` .

#### Parameters

self | a QmiMessageUimUnblockPinOutput. |
value_card_result_sw1 | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
value_card_result_sw2 | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.14

### qmi_message_uim_unblock_pin_output_get_result ()

    gboolean
    qmi_message_uim_unblock_pin_output_get_result
                                   (QmiMessageUimUnblockPinOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageUimUnblockPinOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.14

### qmi_message_uim_unblock_pin_output_get_retries_remaining ()

    gboolean
    qmi_message_uim_unblock_pin_output_get_retries_remaining
                                   (QmiMessageUimUnblockPinOutput *self,
                                    guint8 *value_retries_remaining_verify_retries_left,
                                    guint8 *value_retries_remaining_unblock_retries_left,
                                    GError **error);

Get the 'Retries Remaining' field from `self` .

#### Parameters

self | a QmiMessageUimUnblockPinOutput. |
value_retries_remaining_verify_retries_left | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
value_retries_remaining_unblock_retries_left | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.14

### qmi_message_uim_unblock_pin_output_get_response_in_indication_token ()

    gboolean
    qmi_message_uim_unblock_pin_output_get_response_in_indication_token
                                   (QmiMessageUimUnblockPinOutput *self,
                                    guint32 *value_response_in_indication_token,
                                    GError **error);

Get the 'Response In Indication Token' field from `self` .

#### Parameters

self | a QmiMessageUimUnblockPinOutput. |
value_response_in_indication_token | a placeholder for the output guint32, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.14

### qmi_client_uim_unblock_pin ()

    void
    qmi_client_uim_unblock_pin (QmiClientUim *self,
                                QmiMessageUimUnblockPinInput *input,
                                guint timeout,
                                GCancellable *cancellable,
                                GAsyncReadyCallback callback,
                                gpointer user_data);

Asynchronously sends a Unblock PIN request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_uim_unblock_pin_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientUim. |
input | a QmiMessageUimUnblockPinInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.14

### qmi_client_uim_unblock_pin_finish ()

    QmiMessageUimUnblockPinOutput *
    qmi_client_uim_unblock_pin_finish (QmiClientUim *self,
                                       GAsyncResult *res,
                                       GError **error);

Finishes an async operation started with `qmi_client_uim_unblock_pin()`.

#### Parameters

self | a QmiClientUim. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_uim_unblock_pin()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageUimUnblockPinOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_uim_unblock_pin_output_unref()`.

Since: 1.14

## Types and Values

### QmiMessageUimUnblockPinInput

    typedef struct _QmiMessageUimUnblockPinInput QmiMessageUimUnblockPinInput;

The QmiMessageUimUnblockPinInput structure contains private data and should only be accessed using the provided API.

Since: 1.14

### QmiMessageUimUnblockPinOutput

    typedef struct _QmiMessageUimUnblockPinOutput QmiMessageUimUnblockPinOutput;

The QmiMessageUimUnblockPinOutput structure contains private data and should only be accessed using the provided API.

Since: 1.14